LibreOffice: XGridDataListener Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XGridDataListener Interface Referencepublished

An instance of this interface is used by the XGridDataModel to get notifications about data model changes. More...

`import "XGridDataListener.idl";`

Inheritance diagram for XGridDataListener:

## Public Member Functions
void | rowsInserted ([in] GridDataEvent Event)
| is called when one or more rows of data have been inserted into a grid control's data model.
void | rowsRemoved ([in] GridDataEvent Event)
| is called when one or more rows of data have been removed from a grid control's data model.
void | dataChanged ([in] GridDataEvent Event)
| is called when existing data in a grid control's data model has been modified.
void | rowHeadingChanged ([in] GridDataEvent Event)
| is called when the title of one or more rows changed.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

An instance of this interface is used by the XGridDataModel to get notifications about data model changes.

Usually you must not implement this interface yourself, but you must notify it correctly if you implement the XGridDataModel yourself

.

Since
  OOo 3.3

## Member Function Documentation

## ◆ dataChanged()

void dataChanged | ( | [in] GridDataEvent | Event | ) |

is called when existing data in a grid control's data model has been modified.

## ◆ rowHeadingChanged()

void rowHeadingChanged | ( | [in] GridDataEvent | Event | ) |

is called when the title of one or more rows changed.

## ◆ rowsInserted()

void rowsInserted | ( | [in] GridDataEvent | Event | ) |

is called when one or more rows of data have been inserted into a grid control's data model.

## ◆ rowsRemoved()

void rowsRemoved | ( | [in] GridDataEvent | Event | ) |

is called when one or more rows of data have been removed from a grid control's data model.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/grid/XGridDataListener.idl